### Hierarchy

- GameData

## Index

### Constructors

- constructor

### Properties

- collisionLayers
- legends
- levels
- metadata
- objects
- rules
- sounds
- title
- winConditions

### Methods

- _getSpriteByName
- _getTileByName
- clearCaches
- getLetterSprite
- getMagicBackgroundSprite
- getPlayer
- getSpriteSize

## Constructors

### constructor

- new GameData(source: IGameCode, title: string, metadata: GameMetadata, objects: GameSprite[], legends: IGameTile[], sounds: GameSound[], collisionLayers: CollisionLayer[], rules: SimpleRuleGroup[], winConditions: WinConditionSimple[], levels: ILevel[]): GameData

- - Defined in models/game.ts:33

  #### Parameters

  - ##### source: IGameCode

  - ##### title: string

  - ##### metadata: GameMetadata

  - ##### objects: GameSprite[]

  - ##### legends: IGameTile[]

  - ##### sounds: GameSound[]

  - ##### collisionLayers: CollisionLayer[]

  - ##### rules: SimpleRuleGroup[]

  - ##### winConditions: WinConditionSimple[]

  - ##### levels: ILevel[]

  #### Returns GameData

## Properties

### collisionLayers

collisionLayers: CollisionLayer[]

- Defined in models/game.ts:27

### legends

legends: IGameTile[]

- Defined in models/game.ts:25

### levels

levels: ILevel[]

- Defined in models/game.ts:30

### metadata

metadata: GameMetadata

- Defined in models/game.ts:23

### objects

objects: GameSprite[]

- Defined in models/game.ts:24

### rules

rules: SimpleRuleGroup[]

- Defined in models/game.ts:28

### sounds

sounds: GameSound[]

- Defined in models/game.ts:26

### title

title: string

- Defined in models/game.ts:22

### winConditions

winConditions: WinConditionSimple[]

- Defined in models/game.ts:29

## Methods

### _getSpriteByName

- _getSpriteByName(name: string): null | GameSprite

- - Defined in models/game.ts:84

  #### Parameters

  - ##### name: string

  #### Returns null | GameSprite

### _getTileByName

- _getTileByName(name: string): undefined | IGameTile

- - Defined in models/game.ts:87

  #### Parameters

  - ##### name: string

  #### Returns undefined | IGameTile

### clearCaches

- clearCaches(): void

- - Defined in models/game.ts:121

  #### Returns void

### getLetterSprite

- getLetterSprite(char: string): GameSprite

- - Defined in models/game.ts:134

  #### Parameters

  - ##### char: string

  #### Returns GameSprite

### getMagicBackgroundSprite

- getMagicBackgroundSprite(): null | GameSprite

- - Defined in models/game.ts:91

  #### Returns null | GameSprite

### getPlayer

- getPlayer(): IGameTile

- - Defined in models/game.ts:113

  #### Returns IGameTile

### getSpriteSize

- getSpriteSize(): object

- - Defined in models/game.ts:130

  #### Returns object

  - ##### spriteHeight: number

  - ##### spriteWidth: number

Generated using TypeDoc